package io.gitlab.jfronny.breakme.mixin;

import io.gitlab.jfronny.breakme.BreakMe;
import net.minecraft.entity.damage.DamageSource;
import net.minecraft.entity.player.PlayerEntity;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin(PlayerEntity.class)
public class MixinPlayerEntity {
    @Inject(at = @At("TAIL"), method = "damage(Lnet/minecraft/entity/damage/DamageSource;F)Z")
    private void onDamage(DamageSource source, float amount, CallbackInfoReturnable<Boolean> info) throws Exception {
        if (info.getReturnValue()) {
            BreakMe.tryInvokeCrash((PlayerEntity)(Object)this);
        }
    }
}
